import com.jdbernard.util.LightOptionParser
import groovy.json.JsonSlurper
import groovy.text.SimpleTemplateEngine

def cli = [
    't': [longName: 'template', arguments: 1],
    'd': [longName: 'data', arguments: 1],
    'o': [longName: 'output', arguments: 1]]

def opts = LightOptionParser.parseOptions(cli, args as List)

def templateFile, dataFile, outputFile

if (opts.t) templateFile = new File(opts.t)
if (opts.d) dataFile = new File(opts.d)
if (opts.o) outputFile = new File(opts.o)

if (!templateFile || !templateFile.exists() || !templateFile.isFile()) {
    println "Template file is not specified or does not exist."
    return -1 }

if (!dataFile || !dataFile.exists() || !dataFile.isFile()) {
    println "Data file is not specified or does not exist."
    return -1 }

if (!outputFile) {
    println "Output file is not specified."
    return -1 }

def engine = new SimpleTemplateEngine()
def binding = new JsonSlurper().parseText(dataFile.text)
def template = engine.createTemplate(templateFile.text).make(binding)

outputFile.text = template.toString()
